Bulk import contacts
curl --request POST \
--url https://api.algosmiths.com/api/v1/contacts/bulk/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{}
]
}
'import requests
url = "https://api.algosmiths.com/api/v1/contacts/bulk/"
payload = { "contacts": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contacts: [{}]})
};
fetch('https://api.algosmiths.com/api/v1/contacts/bulk/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"skipped": 123,
"errors": [
{}
],
"contacts": [
{
"receiver_id": "<string>",
"phone": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"company": "<string>",
"notes": "<string>",
"tags": "<unknown>",
"ctwa_clid": "<string>",
"ctwa_source_id": "<string>",
"ctwa_source_url": "<string>",
"ctwa_headline": "<string>",
"ctwa_referral_at": "2023-11-07T05:31:56Z"
}
]
}Contacts
Bulk import contacts
Body: {"contacts": [{"phone": "...", "name": "...", ...}]}. Max 5000 rows per call. Extra keys beyond phone/name/email/company/notes/tags are stored as custom attributes.
POST
/
api
/
v1
/
contacts
/
bulk
/
Bulk import contacts
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Show child attributes
Show child attributes
⌘I

